Opened 5 years ago

Closed 4 years ago

#8326 closed defect (fixed)

cannot import keys from gpg with Torbirdy 0.1.0

Reported by: johnshaft Owned by: sukhbir
Priority: Medium Milestone:
Component: Applications/TorBirdy Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

hi

i use Thunderbird with a portable install of gpg, torbirdy and enigmail when using windows

when i load privoxy, vidalia, then thunderbird, i attempt to search/import keys in thunderbird but they are never found even though they exist. Privoxy is already setup to forward socks5 to vidalia, etc. thunderbird has the .onion keyserver set, which i could not change when i checked about.config

also, i have already torified cygwin and GPA - they work fine with privoxy and vidalia HOWEVER the keyserver is a non-onion and when i try to use a .onion address it never works. Below is the 503 error from cygwin when searching keys using a .onion server:

$ gpg --search-keys blah
gpg: searching for "blah" from hkp server 2eghzlv2wwcq7u7y.onion
gpgkeys: curl version = libcurl/7.29.0 OpenSSL/1.0.1e zlib/1.2.7 libidn/1.25 libssh2/1.4.2
gpgkeys: search type is 0, and key is "blah"

Host: 2eghzlv2wwcq7u7y.onion:11371
Accept: */*
Proxy-Connection: Keep-Alive
Pragma: no-cache
Cache-Control: no-cache

  • STATE: DO => DO_DONE handle 0x80077810; line 1236 (connection #0)
  • STATE: DO_DONE => WAITPERFORM handle 0x80077810; line 1352 (connection #0)
  • STATE: WAITPERFORM => PERFORM handle 0x80077810; line 1363 (connection #0)
  • HTTP 1.1 or later with persistent connection, pipelining supported

< HTTP/1.1 503 Forwarding failure
< Content-Length: 8314
< Content-Type: text/html
< Cache-Control: no-cache
< Date: Fri, 22 Feb 2013 07:42:50 GMT
< Last-Modified: Wed, 08 Jun 1955 12:00:00 GMT
< Expires: Sat, 17 Jun 2000 12:00:00 GMT
< Pragma: no-cache
<

  • STATE: PERFORM => DONE handle 0x80077810; line 1533 (connection #0)
  • Connection #0 to host 127.0.0.1 left intact

gpg: key "blah" not found on keyserver

So, how do i search keys from Thunderbird, GPA and cygwin using .onion keyservers ?

This i dont believe is a torbirdy specific issue per se

cheers for the software and any advice

Child Tickets

Attachments (1)

enig.PNG (28.8 KB) - added by johnshaft 5 years ago.
1.5.1

Download all attachments as: .zip

Change History (6)

comment:1 Changed 5 years ago by sukhbir

Owner: changed from ioerror to sukhbir
Status: newaccepted

Can you please try this with 0.1.1 (latest release) and then let let us know the results?

Changed 5 years ago by johnshaft

Attachment: enig.PNG added

1.5.1

comment:2 Changed 5 years ago by johnshaft

this ticket was for torbirdy, not cygwin/gpg ?

ok, its a bit annoying when i type my whole ticket and lose it when i then attach an image!

its also peculiar when i log into trac with all cookies initially rejected, review the logged in user list which does not show im logged in, then enable session cookies using cookie monster for trac.torproject.org, reload the page and shows i actually was logged in without having to re-log in

hmmm (?)

enig.png shows gpg error when first starting thunderbird.

this happens always if i choose portable gpg in my portable thunderbird folder, or if i choose gpg2 on system OS drive.

if i cancel settings, and check again, its the same. do it 5 times, its the same.

only when i re-select a gpg or gpg2 .exe does the error disappear and show the restored options that torbirdy correctly enforces onto enigmail

each time this has to be done when restarting thunderbird ...

had to also revert back to port 9050 for my vidalia to work 0.2.20

... (pressing control-a, control-c)

comment:3 Changed 5 years ago by johnshaft

keys cannot be found using the .onion keyserver still

if might be worth checking any privoxy debug since it shows 503 forwarding error

comment:4 Changed 4 years ago by sukhbir

Is there any update as to whether this is working now or not? (FWIW, it works for me after setting up an HTTP proxy.)

comment:5 Changed 4 years ago by sukhbir

Resolution: fixed
Status: acceptedclosed

As reported by someone else in IRC, this was likely a problem with the keyservers during the time OP reported this. This should be fixed now and in case it is not, please reopen this ticket.

Note: See TracTickets for help on using tickets.